'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const prefix = '/api/servicezhwl';
  const index = 'system';
  const { router, controller } = app;
  router.get(`${prefix}/dictionary/tree`, controller[index].dictionary.tree);
  router.resources('dictionary', `${prefix}/dictionary`, controller[index].dictionary); // index、create、show、destroy
  router.post('dictionary', `${prefix}/dictionary/update/:id`, controller[index].dictionary.update);

};
