'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const prefix = '/api/servicezhwl';
  const index = 'order';
  const { router, controller } = app;

  router.post('transport', `${prefix}/transport/sign`, controller[index].transport.sign);
  // 运输
  router.resources(`${prefix}/transport`, controller[index].transport); // index、create、show、destroy
  router.post('transport', `${prefix}/transport/update/:id`, controller[index].transport.update);
};
